// JavaScript Document
//初始化触发
$(function(){
	//用于右侧广告 主要是给2016暑期活动加的链接
	// $(".mb_10 img").each(function(){
	// 	var is=$(this).attr('src');
	// 	if(is=='http://m1.073img.com/_15img/youxiku/img/index_side_img.jpg'){
	// 		//$(this).parent('div').html('<a href="http://hd.07073.com/summer2016/prize" target="_blank"><img src="http://m1.073img.com/_15img/youxiku/img/index_side_img.jpg"></a>');
	// 		if(is=='http://m1.073img.com/_15img/youxiku/img/index_side_img.jpg'){
	// 			$(this).wrap('<a href="http://hd.07073.com/summer2016/prize" target="_blank"></a>');
	// 		}
	// 	}
	// })
	$("#signin").live('click',function(){
		//先去判断当前的uid和之前的uid是否相同，如果相同则直接显示，如果不同，则remove后，重新加载
		var be_uid=0;
		be_uid=$("#be_uid").val();
		var no_uid=$.cookies.get('DedeUserID');
		if(be_uid>0 && no_uid>0 && be_uid==no_uid){
			$('.thisCheckinBoxing').show();
			return false;
		}
		$('.thisCheckinBoxing').remove();
		var typeid=0;
		typeid=$("#signin").attr('rel');
		if(typeid==0){
			alert("专区不存在呢");
			return false;
		}
		var params='typeid='+typeid;
		var ajaxUrl='http://api.07073.com/Youxiku/qdform/';
		$.ajax({
			data : params,
			type : 'GET',
			url : ajaxUrl,
			dataType: "jsonp",
			jsonp:'callback',
			success: function(json){
				if(json.code==0){//签到未开启
					alert(json.msg);
					return false;
				}
				if(json.code==-1){//未登录
					json_api_login_form();
					return false;
				}

				$("body").append(json.msg);
				//处理未签到样式
				var myDate = new Date();
				  var tod=myDate.getDate();        //获取当前日(1-31)
				  $i=0;
				  $(".thisDate31s li").each(function(index){
					var inhtml=$(this).html();
					var ins=inhtml*1;
					if(ins>0 && ins<tod){
						$(this).html('<div class="not-signedin">'+inhtml+'</div>');
					}
				  })
			}
		});
		countdown();
	})

	//签到弹框关闭
	$(".shutCheckinPop").live('click',function(){
		$(".thisCheckinBoxing").hide();
	})

	//点击签到
	$("#signsub").live('click',function(){
		var typeid=0;
		typeid=$("#signin").attr('rel');
		if(typeid==0){
			alert("专区不存在呢");
			return false;
		}
		var params='typeid='+typeid;
		var ajaxUrl='http://api.07073.com/Youxiku/sign/';
		$.ajax({
			data : params,
			type : 'GET',
			url : ajaxUrl,
			dataType: "jsonp",
			jsonp:'callback',
			success: function(json){
				if(json.code==1){//签到成功
					//日历今日状态修改
					
					var myDate = new Date();
					var d=myDate.getDate();
					$("#signstatus").html('<div class="have-signedin">'+d+"</div>");
					$("#signstatus").removeClass("click2signin");
					//发条币数量修改
					$("#mycoin").html(($("#mycoin").html())*1+10*1);
					//累计签到和剩余签到数量修改
					$("#mysigndays").html(($("#mysigndays").html())*1+1*1);
					$("#mylastdays").html(($("#mylastdays").html())*1+1*1);
					//再次查询是否符合领取资格
					//先判断是否有礼包
					var str=$(".thisACgetArea").html();
					if(str=='<h5>礼包已到期！</h5>'||str=='<h5>下手慢了礼包木有了！</h5>'){
						return false;
					}
					var params='typeid='+typeid;
					var ajaxUrl='http://api.07073.com/Youxiku/check/';
					$.ajax({
						data : params,
						type : 'GET',
						url : ajaxUrl,
						dataType: "jsonp",
						jsonp:'callback',
						success: function(data){
							if(data.msg){
								$(".thisACgetArea").html(data.msg);
							}
						}
					})
					return false;

				}else if(json.code==0){//已经签到过
					$(".thisTipxBoxing").show();
					return false;
				}else if(json.code==-1){//未登录
					json_api_login_form();
					return false;
				}else{
					alert("客官，服务器抽风了，请一会再试");
					return false;
				}
			}
		});
	})

	//领码
	$("#getgift").live('click',function(){
		var typeid=0;
		typeid=$("#signin").attr('rel');
		if(typeid==0){
			alert("专区不存在呢");
			return false;
		}
		var params='typeid='+typeid;
		var ajaxUrl='http://api.07073.com/Youxiku/getCode/';
		$.ajax({
			data : params,
			type : 'GET',
			url : ajaxUrl,
			dataType: "jsonp",
			jsonp:'callback',
			success: function(json){
				if(json.code==1){//领取成功
					$(".thisACgetArea").append(json.msg);//礼包框显示
					$(".thisACgetArea").find('h3').hide();
					//处理剩余签到天数和剩余发条币
					$("#mylastdays").html($("#mylastdays").html()*1+$("#xh_days").html()*1);
					$("#mycoin").html($("#mycoin").html()*1-$("#xh_coins").html()*1);

				}else if(json.code==-1){//未登录
					json_api_login_form();
					return false;
				}else if(json.code==-2){//未登录
					alert("您或您的小伙伴已经领取过该礼包了哦");
					return false;
				}else if(json.code==-3){//没有签到过或天数不够
					alert("您还的签到天数不够呢，赶紧去签到吧");
					$(".thisACgetArea").html('<h5>领取限制未达到需求</h5>');
					return false;
				}else if(json.code==-4){//没有礼包码
					alert("亲，暂时没有礼包码可提供");
					$(".thisACgetArea").html('<h5>下手慢了礼包木有了！</h5>');
					return false;
				}else{//失败
					alert("客官，服务器抽风了，请一会再试");
					return false;
				}
			}
		});
	})

	
})
//唤醒悟空盒子
function open_wkbox(typeid){
	var params='typeid='+typeid+'&type=1';
	var ajaxUrl='http://api.07073.com/Youxiku/open_wkbox/';
	$.ajax({
		data : params,
		type : 'GET',
		url : ajaxUrl,
		dataType: "jsonp",
		jsonp:'callback',
		success: function(json){
			$("#start_game").attr('href',json.openurl);
		}
	});
}
function countdown () {
  time = (Date.parse(new Date()))/1000;
  localtime = $("#endtime").val();
  starttime = $("#starttime").val();
  now = starttime-time;

    
    // ynow = starttime-time;
    // $("#yd").html(parseInt(ynow/86400));
    // $("#yh").html(parseInt((ynow%86400)/3600));
    // $("#yi").html(parseInt((ynow%3600)/60));
    // $("#ys").html(ynow%60);
  
  /* 天
  alert('天--'+parseInt(now/86400));
  // 时
  alert('时--'+parseInt(now/3600));
  // 分
  alert('分--'+parseInt(now/60));
  // 秒
  alert('秒--'+now%60);
  */

  $("#d_").html(parseInt(now/86400));
  $("#h_").html(parseInt((now%86400)/3600));
  $("#i_").html(parseInt((now%3600)/60));
  $("#s_").html(now%60);
setTimeout("countdown()", 1000);
}
